/** * 我的 */
<template>
  <view>
    <TabBar></TabBar>
    我的
  </view>
</template>

<script>
import TabBar from '@/components/tabBar/tabBar.vue'
export default {
  components: {
    TabBar,
  },
  data() {
    return {
      callerInfo: {
        callerNmae: '',
        id: '',
        contact: '',
        purpose: '',
        building: '',
        time: '',
        number: '',
        name: '',
        bz: '',
      },
      rules: {},
      show: false,
      buildingShow: false,
      columns: [['商务会议', '安装维修', '其他事宜']],
      buildingColumns: [['一期主楼', '二期主楼', '录制楼', '1600演播厅']],
    }
  },
  onShow() {
    let pages = getCurrentPages()
    const curPage = pages[pages.length - 1]
    this.currentPagePath = curPage.route
    uni.setStorageSync('currentPagePath', this.currentPagePath)
  },
  methods: {
    //获取访问目的
    getPurpose(val) {
      this.callerInfo.purpose = val.value[0]
      this.show = false
    },
    //获取访问楼栋
    getBuilding(val) {
      this.callerInfo.building = val.value[0]
      this.buildingShow = false
    },
  },
}
</script>

<style scoped lang="scss">
.mine {
  padding: 52rpx;
}
</style>
